Open CASCADE Technology: IGESGraph_SpecificModule Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
IGESGraph_SpecificModule Class Reference

Defines Services attached to IGES Entities : Dump & OwnCorrect, for IGESGraph. More...

`#include <IGESGraph_SpecificModule.hxx>`

Inheritance diagram for IGESGraph_SpecificModule:
[legend]

## Public Member Functions
| IGESGraph_SpecificModule ()
| Creates a SpecificModule from IGESGraph & puts it into SpecificLib. More...
void | OwnDump (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent, const IGESData_IGESDumper &dumper, const Handle< Message_Messenger > &S, const Standard_Integer own) const
| Specific Dump (own parameters) for IGESGraph. More...
virtual Standard_Boolean | OwnCorrect (const Standard_Integer CN, const Handle< IGESData_IGESEntity > &ent) const
| Performs non-ambiguous Corrections on Entities which support them (DrawingSize,DrawingUnits,HighLight,IntercharacterSpacing, LineFontPredefined,NominalSize,Pick,UniformRectGrid) More...
Public Member Functions inherited from Standard_Transient
| Standard_Transient ()
| Empty constructor. More...
| Standard_Transient (const Standard_Transient &)
| Copy constructor – does nothing. More...
Standard_Transient & | operator= (const Standard_Transient &)
| Assignment operator, needed to avoid copying reference counter. More...
virtual | ~Standard_Transient ()
| Destructor must be virtual. More...
virtual void | Delete () const
| Memory deallocator for transient classes. More...
virtual const Handle_Standard_Type & | DynamicType () const
| Returns a type information object about this object. More...
Standard_Boolean | IsInstance (const Handle_Standard_Type &theType) const
| Returns a true value if this is an instance of Type. More...
Standard_Boolean | IsInstance (const Standard_CString theTypeName) const
| Returns a true value if this is an instance of TypeName. More...
Standard_Boolean | IsKind (const Handle_Standard_Type &theType) const
| Returns true if this is an instance of Type or an instance of any class that inherits from Type. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
Standard_Boolean | IsKind (const Standard_CString theTypeName) const
| Returns true if this is an instance of TypeName or an instance of any class that inherits from TypeName. Note that multiple inheritance is not supported by OCCT RTTI mechanism. More...
virtual Handle_Standard_Transient | This () const
| Returns a Handle which references this object. Must never be called to objects created in stack. More...
Standard_Integer | GetRefCount () const
| Get the reference counter of this object. More...

## Detailed Description

Defines Services attached to IGES Entities : Dump & OwnCorrect, for IGESGraph.

## Constructor & Destructor Documentation

IGESGraph_SpecificModule::IGESGraph_SpecificModule | ( |  | ) |

Creates a SpecificModule from IGESGraph & puts it into SpecificLib.

## Member Function Documentation

virtual Standard_Boolean IGESGraph_SpecificModule::OwnCorrect | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent
| ) |  | const
| virtual

Performs non-ambiguous Corrections on Entities which support them (DrawingSize,DrawingUnits,HighLight,IntercharacterSpacing, LineFontPredefined,NominalSize,Pick,UniformRectGrid)

Reimplemented from IGESData_SpecificModule.

void IGESGraph_SpecificModule::OwnDump | ( | const Standard_Integer | CN,
|  | const Handle< IGESData_IGESEntity > & | ent,
|  | const IGESData_IGESDumper & | dumper,
|  | const Handle< Message_Messenger > & | S,
|  | const Standard_Integer | own
| ) |  | const
| virtual

Specific Dump (own parameters) for IGESGraph.

Implements IGESData_SpecificModule.

The documentation for this class was generated from the following file:

- IGESGraph_SpecificModule.hxx